import pyscf
import pyscf.sidereus


class TestNMR:
    def test_rhf(self):
        mol = pyscf.M(atom='H 0 0 0; F 0 0 0.917', basis='sto-3g')
        mol.RHF().run().sNMR().kernel()

    def test_uhf(self):
        mol = pyscf.M(atom='H 0 0 0; F 0 0 0.917', basis='sto-3g')
        mol.UHF().run().sNMR().kernel()

    def test_rks(self):
        mol = pyscf.M(atom='H 0 0 0; F 0 0 0.917', basis='sto-3g')
        mol.RKS(xc="b3lyp").run().sNMR().kernel()

    def test_uks(self):
        mol = pyscf.M(atom='H 0 0 0; F 0 0 0.917', basis='sto-3g')
        mol.UKS(xc="b3lyp").run().sNMR().kernel()
